;---------------------------------------------------------------------------
; Stand Light Punch
; CNS difficulty: easy
[Statedef 200]
type    = S             
movetype= A                  
physics = S                    
juggle  = 1                 
velset = 0,0             
ctrl = 0                   
anim = 200                 
poweradd = 0       
sprpriority = 2        
facep2 = 1

[State 0, PlaySnd]
type = PlaySnd
trigger1 = Animelem = 2
value = 5,10
volume = 0
channel = 0
freqmul = 1.0
loop = 0
pan = 0
persistent = 0


[State 200, 1]
type = HitDef
trigger1 = AnimElem = 3
attr = S, NA                    
damage = 44, 0
animtype = Light               
guardflag = MA                  
hitflag = MAF                    
priority = 3, Hit               
pausetime = 8, 8
sparkno = S4003
guard.sparkno = S4004
sparkxy = -14, -70            
hitsound = S1, 4
guardsound = S1,6
ground.type = High
ground.slidetime = 5
ground.hittime  = 10
ground.velocity = -5
airguard.velocity = -2,-4
air.type = High
air.velocity = -2,-4 
air.hittime = 12 
nochainid = 3000
getpower = 55*(!var(56)), 55*(!var(56))
givepower = 13, 0

[State 200, 1]
type = PlaySnd
trigger1 = Time = 1
value = 0, 0

[State 200, 7]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
; Close Stand Light Punch
[Statedef 205]
type    = S                      
movetype= A                      
physics = S                      
juggle  = 1                     
velset = 0,0                     
ctrl = 0                         
anim = 205
poweradd = 0                    ;Power to add (Def: 0)
sprpriority = 2
facep2 = 1

[State 0, PlaySnd]
type = PlaySnd
trigger1 = Animelem = 2
value = 5,10
volume = 0
channel = 0
freqmul = 1.0
loop = 0
pan = 0
persistent = 0

[State 200, 1]
type = HitDef
trigger1 = AnimElem = 2
attr = S, NA                    
damage = 33, 0
animtype = Light                
guardflag = MA                
hitflag = MAF                
priority = 3, Hit               
pausetime = 8, 8
guard.sparkno = S4004
sparkno = S4003
sparkxy = -10, -76              
hitsound = S1, 4
guardsound = S1,6
ground.type = High              
ground.slidetime = 5             
ground.hittime  = 10
nochainid = 3000
ground.velocity = -4             
air.type = High                 
air.velocity = -2,-4
airguard.velocity = -4,-2
air.hittime = 12
getpower = 55*(!var(56)), 55*(!var(56))
givepower = 13 ,0

[State 200, 1]
type = PlaySnd
trigger1 = Time = 1
value = 0, 0

[State 200, 7]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
; Overhead Light Punch
[Statedef 207]
type    = S
movetype= A
physics = S
juggle  = 1
velset = 0,0
ctrl = 0
anim = 207
poweradd = 0
sprpriority = 2

[State 0, PlaySnd]
type = PlaySnd
trigger1 = Animelem = 2
value = 5,7
volume = 0
channel = 0
freqmul = 1.0
loop = 0
pan = 0
persistent = 0

[State 200, 1]
type = HitDef
trigger1 = AnimElem = 4
attr = S, NA
damage = 77, 0
animtype = Light
guardflag = HA
hitflag = MAF
priority = 3, Hit
pausetime = 0, 10
guard.sparkno = S4004
sparkno = S4003
sparkxy = -10, -76
hitsound = S1, 4
guardsound = S1,6
ground.type = High
ground.slidetime = 8
nochainid = 3000
ground.hittime  = 8
ground.velocity = -8
airguard.velocity = -2,-4
air.type = High
air.velocity = -2,-4
air.hittime = 12
getpower = 55*(!var(56)), 55*(!var(56))
givepower = 27, 0

[State 200, 1]
type = PlaySnd
trigger1 = Time = 1
value = 0, 0

[State 200, 7]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
; Standing strong punch
[Statedef 210]
type    = S
movetype= A
physics = S
juggle  = 4
poweradd= 0
ctrl = 0
velset = 0,0
anim = 210
sprpriority = -1

[State 210, 1]
type = PlaySnd
trigger1 = Time = 2
value = 0, 4

[State 0, PlaySnd]
type = PlaySnd
trigger1 = Animelem = 4
value = 5,7
volume = 0
channel = 0
freqmul = 1.0
loop = 0
pan = 0
persistent = 0

[State 210, 2]
type = HitDef
trigger1 = AnimElem = 3
attr = S, NA
animtype  = Medium
damage    = 100
guardflag = MA
pausetime = 12,12
guard.sparkno = S4005
sparkno = S4002
sparkxy = -10,-70
hitsound   = S1, 5
guardsound = S1,6
nochainid = 3000
ground.type = High
ground.slidetime = 12
ground.hittime  = 13
ground.velocity = -7
air.velocity = -2,-4
airguard.velocity = -2,-4
getpower = 166*(!var(56)), 166*(!var(56))
givepower = 41, 0

[State 210, 3]
type = ChangeAnim
trigger1 = AnimElemTime(5) > 0 && AnimElemTime(6) <= 0
trigger1 = movecontact
ignorehitpause = 1
persistent = 0
value = 210
elem = 6

[State 210, 4]
type = SprPriority
trigger1 = AnimElem = 5
value = 2

[State 210, 5]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1
;---------------------------------------------------------------------------
; Close Standing strong punch
[Statedef 215]
type    = S
movetype= A
physics = S
juggle  = 4
poweradd = 0
ctrl = 0
velset = 0,0
anim = 215
sprpriority = 2

[State 210, 1]
type = PlaySnd
trigger1 = Time = 2
value = 0, 4

[State 210, 2]
type = HitDef
trigger1 = AnimElem = 4
attr = S, NA
animtype  = Medium
damage    = 88
guardflag = MA
pausetime = 12,12
guard.sparkno = S4005
sparkno = S4002
sparkxy = -10,-70
hitsound   = S1, 3
nochainid = 3000
guardsound = S1,6
ground.type = High
ground.slidetime = 12
ground.hittime  = 13
ground.velocity = -7
air.velocity = -2,-4
airguard.velocity = -2,-4
getpower = 138*(!var(56)), 138*(!var(56))
givepower = 27, 0

[State 210, 5]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
; Standing light kick
[Statedef 230]
type    = S
movetype= A
physics = S
juggle  = 4
poweradd = 0
ctrl = 0
velset = 0,0
anim = 230
sprpriority = 2

[State 230, 1]
type = PlaySnd
trigger1 = Time = 2
value = 0, 1

[State 0, PlaySnd]
type = PlaySnd
trigger1 = Animelem = 2
value = 5,10
volume = 0
channel = 0
freqmul = 1.0
loop = 0
pan = 0
persistent = 0

[State 230, 2]
type = HitDef
trigger1 = Time = 0
attr = S, NA
animtype  = Medium
damage    = 55
guardflag = MA
pausetime = 12,12
guard.sparkno = S4004
sparkno = S4003
sparkxy = -10,-67
hitsound   = S1, 4
guardsound = S1,6
ground.type = Low
ground.slidetime = 10
nochainid = 3000
ground.hittime  = 11
ground.velocity = -6
air.velocity = -2,-4
airguard.velocity = -2,-4
getpower = 83*(!var(56)), 83*(!var(56))
givepower = 13, 0


[State 230, 3]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1
;---------------------------------------------------------------------------
; Close Standing light kick
[Statedef 235]
type    = S
movetype= A
physics = S
juggle  = 4
ctrl = 0
velset = 0,0
anim = 235
sprpriority = 2
poweradd = 0

[State 230, 1]
type = PlaySnd
trigger1 = Time = 2
value = 0, 1

[State 230, 2]
type = HitDef
trigger1 = Time = 0
attr = S, NA
animtype  = Medium
damage    = 44
guardflag = MA
pausetime = 12,12
guard.sparkno = S4004
sparkno = S4003
sparkxy = -10,-67
hitsound   = S1, 4
guardsound = S1,6
ground.type = Low
ground.slidetime = 10
nochainid = 3000
ground.hittime  = 11
ground.velocity = -5
air.velocity = -2,-4
airguard.velocity = -2,-4
getpower = 83*(!var(56)), 83*(!var(56))
givepower = 13, 0


[State 230, 3]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1


;---------------------------------------------------------------------------
; Standing strong kick
; CNS difficulty: easy
[Statedef 240]
type    = S
movetype= A
physics = S
juggle  = 5
poweradd = 0
ctrl = 0
velset = 0,0
anim = 240
sprpriority = 2

[State 0, PlaySnd]
type = PlaySnd
trigger1 = Animelem = 3
value = 5,11
volume = 0
channel = 0
freqmul = 1.0
loop = 0
pan = 0
persistent = 0

[State 240, 1]
type = PlaySnd
trigger1 = Time = 2
value = 0, 1

[State 240, 2]
type = HitDef
trigger1 = Time = 0
attr = S, NA
animtype  = Medium
damage    = 111
guardflag = MA
pausetime = 12,12
guard.sparkno = S4005
sparkno = S4002
sparkxy = -10,-60
hitsound   = S1, 5
guardsound = S1,6
nochainid = 3000
ground.type = Low
ground.slidetime = 12
ground.hittime  = 15
ground.velocity = -7
air.velocity = -2,-4
airguard.velocity = -2,-4
getpower = 194*(!var(56)), 194*(!var(56))
givepower = 41, 0

[State 240, 4]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1
;---------------------------------------------------------------------------
; Close strong kick
[Statedef 245]
type    = S
movetype= A
physics = S
juggle  = 5
ctrl = 0
velset = 0,0
anim = 245
sprpriority = 2
poweradd = 0

[State 240, 1]
type = PlaySnd
trigger1 = Time = 2
value = 0, 1

[State 240, 2]
type = HitDef
trigger1 = Time = 0
attr = S, NA
animtype  = Medium
damage    = 100
guardflag = MA
pausetime = 12,12
guard.sparkno = S4005
sparkno = S4002
sparkxy = -10,-60
nochainid = 3000
hitsound   = S1, 3
guardsound = S1,6
ground.type = Low
ground.slidetime = 12
ground.hittime  = 15
ground.velocity = -7
air.velocity = -2,-4
airguard.velocity = -2,-4
getpower = 166*(!var(56)), 166*(!var(56))
givepower = 41,0


[State 240, 4]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
;Crouching light punch
[Statedef 400]
type    = C
movetype= A
physics = C
juggle  = 5
poweradd = 0
ctrl = 0
anim = 400
sprpriority = 2

[State 0, PlaySnd]
type = PlaySnd
trigger1 = Animelem = 2
value = 5,10
volume = 0
channel = 0
freqmul = 1.0
loop = 0
pan = 0
persistent = 0

[State 400, 1]
type = PlaySnd
trigger1 = Time = 1
value = 0, 0

[State 400, 2]
type = HitDef
trigger1 = Time = 0
attr = C, NA
damage    = 33
priority  = 3
animtype  = Light
hitflag = MAF
guardflag = L
pausetime = 10,11
nochainid = 3000
guard.sparkno = S4004
sparkno = S4003
sparkxy = -10,-42
hitsound   = S1, 4
guardsound = S1,6
ground.type = Low
ground.slidetime = 4
ground.hittime  = 10
ground.velocity = -4
air.velocity = -2,-4
airguard.velocity = -2,-4
getpower = 55*(!var(56)), 55*(!var(56))
givepower = 13, 0

[State 400, 3]
type = CtrlSet
trigger1 = Time = 5
value = 1

[State 400, 4]
type = ChangeState
trigger1 = AnimTime = 0
value = 11

;---------------------------------------------------------------------------
;Crouching strong punch
[Statedef 410]
type    = C
movetype= A
physics = C
juggle  = 6
poweradd = 0
ctrl = 0
anim = 410
sprpriority = 2

[State 410, 1]
type = PlaySnd
trigger1 = Time = 1
value = 0, 0

;This is the first hit, triggered on the 3rd element of animation.
[State 410, 2]
type = HitDef
trigger1 = AnimElem = 3
attr = C, NA
damage    = 88
animtype  = Medium
hitflag = MAF
guardflag = M
pausetime = 12,12
guard.sparkno = S4005
sparkno = S4002
sparkxy = -10,-55
hitsound   = S1,3
nochainid = 3000
guardsound = S1,6
ground.type = Low
ground.slidetime = 12
ground.hittime  = 15
ground.velocity = -6
air.velocity = -2,-4
airguard.velocity = -2,-4
getpower = 138*(!var(56)), 138*(!var(56))
givepower = 27

[State 410, 4]
type = ChangeState
trigger1 = AnimTime = 0
value = 11
ctrl = 1

;---------------------------------------------------------------------------
;Crouching light kick
; CNS difficulty: easy
[Statedef 430]
type    = C
movetype= A
physics = C
juggle  = 5
poweradd = 0
ctrl = 0
anim = 430
sprpriority = 2

[State 430, 1]
type = PlaySnd
trigger1 = Time = 1
value = 0, 0

[State 430, 2]
type = HitDef
trigger1 = Time = 0
attr = C, NA
damage    = 44
animtype  = Light
hitflag = MAF
guardflag = L
pausetime = 12,12
guard.sparkno = S4004
sparkno = S4003
sparkxy = -10,-28
hitsound   = S1, 4
guardsound = S1,6
nochainid = 3000
ground.type = Low
ground.slidetime = 6
ground.hittime  = 10
ground.velocity = -5
air.velocity = -2,-3
down.velocity = -5,0
down.hittime = 20
getpower = 83*(!var(56)), 83*(!var(56))
givepower = 13, 0

[State 430, 3]
type = ChangeState
trigger1 = AnimTime = 0
value = 11
ctrl = 1

;---------------------------------------------------------------------------
;Crouching double light kick
; CNS difficulty: easy
[Statedef 435]
type    = C
movetype= A
physics = C
juggle  = 5
poweradd = 0
ctrl = 0
anim = 435
sprpriority = 2

[State 430, 1]
type = PlaySnd
trigger1 = Time = 1
value = 0, 0

[State 0, PlaySnd]
type = PlaySnd
trigger1 = Animelem = 2
value = 5,10
volume = 0
channel = 0
freqmul = 1.0
loop = 0
pan = 0
persistent = 0

[State 1402, VelSet]
type = VelSet
trigger1 = Time >= 7 && Time <= 20
x = (5.125*exp((0.024097551579060502051066728786474)*(time)))

[State 1402, VelSet]
type = VelSet
trigger1 = Time = 21
x = 0

[State 430, 2]
type = HitDef
trigger1 = Animelem = 3
attr = C, NA
damage    = 44
animtype  = Light
hitflag = MAF
guardflag = L
pausetime = 7,7
guard.sparkno = S4004
sparkno = S4002
sparkxy = -10,-48
nochainid = 3000
hitsound   = S1, 4
guardsound = S1,6
ground.type = Low
ground.slidetime = 6
ground.hittime  = 20
ground.velocity = -5
air.velocity = -2,-3
down.velocity = -5,0
getpower = 111*(!var(56)), 111*(!var(56))
givepower = 27, 0

[State 430, 2]
type = HitDef
trigger1 = Animelem = 5
attr = C, NA
damage    = 55
animtype  = Heavy
hitflag = MAF
guardflag = L
pausetime = 7,7
guard.sparkno = S4004
sparkno = S4002
sparkxy = -10,-28
nochainid = 3000
hitsound   = S1, 4
guardsound = S1,6
ground.type = Low
ground.slidetime = 17
ground.velocity = -5
air.velocity = -2,-3
down.velocity = -5,0
ground.hittime  = 17
getpower = 138*(!var(56)), 138*(!var(56))
givepower = 27, 0

[State 430, 3]
type = ChangeState
trigger1 = AnimTime = 0
value = 11
ctrl = 1


;---------------------------------------------------------------------------
;Crouch Strong Kick
[Statedef 440]
type    = C
movetype= A
physics = C
juggle  = 7
poweradd = 0
ctrl = 0
anim = 440
sprpriority = 2

[State 0, PlaySnd]
type = PlaySnd
trigger1 = Animelem = 2
value = 5,11
volume = 0
channel = 0
freqmul = 1.0
loop = 0
pan = 0
persistent = 0

[State 440, 2]
type = PlaySnd
trigger1 = Time = 2
value = 0, 2

[State 440, 3]
type = HitDef
trigger1 = Time = 0
attr = C, NA
damage    = 111
hitflag = M
guardflag = L
pausetime = 12,12
nochainid = 3000
sparkno = S4002
guard.sparkno = S4005
sparkxy = -5,-10
hitsound   = S1, 5
guardsound = S1,6
ground.type = Low
ground.slidetime = 10
ground.hittime  = 15
ground.velocity = -1,-6
air.velocity = -1.2,-3
guard.velocity = -5
fall = 1
fall.recover = 0
getpower = 222*(!var(56)), 222*(!var(56))
givepower = 55

[State 440, 4]
type = ChangeState
trigger1 = AnimTime = 0
value = 11
ctrl = 1

;---------------------------------------------------------------------------
;Jump Light Punch
; CNS difficulty: easy
[Statedef 600]
type    = A
movetype= A
physics = A
juggle  = 2
poweradd = 0
ctrl = 0
anim = 600
sprpriority = 2

[State 0, PlaySnd]
type = PlaySnd
trigger1 = Animelem = 2
value = 5,10
volume = 0
channel = 0
freqmul = 1.0
loop = 0
pan = 0
persistent = 0

[State 600, 1]
type = PlaySnd
trigger1 = Time = 1
value = 0, 0

[State 600, 2]
type = HitDef
trigger1 = Time = 0
attr = A, NA
damage    = 44
guardflag = HA
priority = 3
pausetime = 7,8
sparkno = S4003
guard.sparkno = S4004
sparkxy = -10,-58
hitsound   = S1, 4
nochainid = 3000
guardsound = S1,6
ground.type = High
ground.slidetime = 5
ground.hittime  = 5
ground.velocity = -4
air.velocity = -1.3,-3
getpower = 111*(!var(56)), 111*(!var(56))

[State 600, 3]
type = CtrlSet
trigger1 = Time = 17
value = 1

;---------------------------------------------------------------------------
;Jump Strong Punch
; CNS difficulty: easy
[Statedef 610]
type    = A
movetype= A
physics = A
juggle  = 4
poweradd = 0
ctrl = 0
anim = 610
sprpriority = 2

[State 610, 2]
type = PlaySnd
trigger1 = Time = 2
value = 0, 1

[State 610, 3]
type = HitDef
trigger1 = Time = 0
attr = A, NA
damage = 77
guardflag = HA
priority = 4
pausetime = 12,12
guard.sparkno = S4005
nochainid = 3000
sparkno = S4002
sparkxy = -10,-105
hitsound   = S1, 3
guardsound = S1,6
animtype = Med
ground.type = High
ground.slidetime = 17
ground.hittime  = 17
ground.velocity = -5
air.velocity = -3,-4
getpower = 194*(!var(56)), 194*(!var(56))
givepower = 41, 0

;---------------------------------------------------------------------------
;Moving Jump Strong Punch
; CNS difficulty: easy
[Statedef 615]
type    = A
movetype= A
physics = A
juggle  = 4
poweradd = 0
ctrl = 0
anim = 615
sprpriority = 2
facep2 = 1

[State 610, 2]
type = PlaySnd
trigger1 = Time = 2
value = 0, 1

[State 610, 3]
type = HitDef
trigger1 = Time = 0
attr = A, NA
damage = 77
guardflag = HA
priority = 4
pausetime = 12,12
guard.sparkno = S4005
nochainid = 3000
sparkno = S4002
sparkxy = -10,-55
hitsound   = S1, 3
guardsound = S1,6
animtype = Med
ground.type = High
ground.slidetime = 17
ground.hittime  = 17
ground.velocity = -5
air.velocity = -3,-4
getpower = 194*(!var(56)), 194*(!var(56))
givepower = 41, 0

;---------------------------------------------------------------------------
;Jump Light Kick
; CNS difficulty: easy
[Statedef 630]
type    = A
movetype= A
physics = A
juggle  = 3
poweradd = 0
ctrl = 0
anim = 630
sprpriority = 2
facep2 = 1

[State 630, 1]
type = PlaySnd
trigger1 = Time = 1
value = 0, 0

[State 630, 2]
type = HitDef
trigger1 = Time = 0
attr = A, NA
damage = 55
guardflag = HA
priority = 3
pausetime = 8,8
guard.sparkno = S4005
sparkno = S4003
nochainid = 3000
sparkxy = -5,-35
hitsound   = S1, 4
guardsound = S1,6
ground.type = High
ground.slidetime = 6
ground.hittime  = 6
ground.velocity = -4
air.velocity = -2,-3
getpower = 138*(!var(56)), 138*(!var(56))
givepower = 27, 0

;---------------------------------------------------------------------------
;Jump Strong Kick
; CNS difficulty: easy
[Statedef 640]
type    = A
movetype= A
physics = A
juggle  = 4
poweradd = 0
ctrl = 0
anim = 640
sprpriority = 2
facep2 = 1

[State 0, PlaySnd]
type = PlaySnd
trigger1 = Animelem = 2
value = 5,11
volume = 0
channel = 0
freqmul = 1.0
loop = 0
pan = 0
persistent = 0

[State 640, 2]
type = PlaySnd
trigger1 = Time = 2
value = 0, 1

[State 640, 3]
type = HitDef
trigger1 = Animelem = 2; Time = 0
attr = A, NA
damage    = 88
guardflag = HA
priority = 4
nochainid = 3000
pausetime = 12,12
sparkno = S4002
guard.sparkno = S4005
sparkxy = -10,-40
hitsound   = S1, 5
guardsound = S1,6
animtype = Med
ground.type = High
ground.slidetime = 15
ground.hittime  = 15
ground.velocity = -5
air.velocity = -3,-4
getpower = 194*(!var(56)), 194*(!var(56))
givepower = 41, 0
;---------------------------------------------------------------------------
;Bicycle Kick
; CNS difficulty: easy
[Statedef 645]
type    = A
movetype= A
physics = A
juggle  = 4
poweradd = 0
ctrl = 0
anim = 645
sprpriority = 2

[State 0, PlaySnd]
type = PlaySnd
trigger1 = Animelem = 3
trigger2 = Animelem = 6
value = 5,10
volume = 0
channel = 0
freqmul = 1.0
loop = 0
pan = 0

[State 640, 2]
type = PlaySnd
trigger1 = Time = 2
value = 0, 1

[State 640, 3]
type = HitDef
trigger1 = Animelem = 4 || Animelem = 6 || Animelem = 8
attr = A, NA
damage = 33
guardflag = HA
priority = 4
pausetime = 12,12
guard.sparkno = S4005
sparkno = S4002
sparkxy = -10,-40
nochainid = 3000
hitsound   = S1, 3
guardsound = S1,6
animtype = Med
ground.type = High
ground.slidetime = 15
ground.hittime  = 15
ground.velocity = -5
air.velocity = -3,-4
getpower = 55*(!var(56)), 55*(!var(56))
givepower = 13, 0
;--------------------------------------------------------------------------
;Evade
[Statedef 700]
type = S
movetype = I
physics = N
anim = 700
velset = 0,0
ctrl = 0
poweradd = 0
juggle = 0
facep2 = 0
hitdefpersist = 0
movehitpersist = 0
hitcountpersist = 0
sprpriority = 0

[State Farts]
type = SprPriority
trigger1 = (Vel X != 0)
trigger1 = Time > 1
value = -2

[State Can't touch this]
type = NotHitBy
trigger1 = 1
value = , NA, SA, HA, NP, SP, HP

[State End]
type = ChangeState
trigger1 = (AnimTime = 0)
value = 0
ctrl = 1

;--------------------------------------------------------------------------
;Roll Fwd
[Statedef 705]
type = S
movetype = I
physics = N
anim = 705
velset = 0,0
ctrl = 0
poweradd = 0
juggle = 0
facep2 = 0
hitdefpersist = 0
movehitpersist = 0
hitcountpersist = 0
sprpriority = 0

[State Farts]
type = SprPriority
trigger1 = (Vel X != 0)
trigger1 = Time > 1
value = -2

[State 0, VelSet]
type = VelSet
trigger1 = !time
x = 4

[State ****: AfterImage]
type = AfterImage
trigger1 = (Vel X != 0) && time >=5
time = 20
timegap = 2
framegap = 4
length = 15
paladd = 0, 0, 0
palmul = .50, .50, .50
palcontrast = 100,100,100
trans = add
persistent = 0

[State Can't touch this]
type = NotHitBy
trigger1 = (Time < 20)
value = , NA, SA, HA, NP, SP, HP

[State 0, VelSet]
type = VelSet
trigger1 = animelem = 6
x = 0

[State ****: PlayerPush]
type = PlayerPush
trigger1 = (Vel X != 0)
value = 0

[State 0, CtrlSet]
type = CtrlSet
trigger1 = Animelem = 6
value = 1
ignorehitpause = 1
persistent =0


[State End]
type = ChangeState
trigger1 = (AnimTime = 0)
value = 0
ctrl = 1
;--------------------------------------------------------------------------
;Roll Back
[Statedef 706]
type = S
movetype = I
physics = N
anim = 706
velset = 0,0
ctrl = 0
poweradd = 0
juggle = 0
facep2 = 0
hitdefpersist = 0
movehitpersist = 0
hitcountpersist = 0
sprpriority = 0

[State Farts]
type = SprPriority
trigger1 = (Vel X != 0)
trigger1 = Time > 1
value = -2

[State 0, VelSet]
type = VelSet
trigger1 = !time
x = -4

[State ****: AfterImage]
type = AfterImage
trigger1 = (Vel X != 0) && time >=5
time = 20
timegap = 2
framegap = 4
length = 15
paladd = 0, 0, 0
palmul = .50, .50, .50
palcontrast = 100,100,100
trans = add
persistent = 0

[State Can't touch this]
type = NotHitBy
trigger1 = (Time < 20)
value = , NA, SA, HA, NP, SP, HP

[State 0, VelSet]
type = VelSet
trigger1 = animelem = 6
x = 0

[State ****: PlayerPush]
type = PlayerPush
trigger1 = (Vel X != 0)
value = 0

[State 0, CtrlSet]
type = CtrlSet
trigger1 = Animelem = 6
value = 1
ignorehitpause = 1
persistent =0


[State End]
type = ChangeState
trigger1 = (AnimTime = 0)
value = 0
ctrl = 1

;---------------------------------------------------------------------------
;---------------------------------------------------------------------------
;My Funny Throw
[Statedef 800]
type    = S
movetype= A
physics = S
juggle  = 0
velset = 0,0
ctrl = 0
anim = 800
sprpriority = 2

[State 800, 1]
type = HitDef
Trigger1 = Time = 0
attr = S, NT
hitflag = M-
priority = 1, Miss
sparkno = -1
p1sprpriority = 1
p1facing = 1
p2facing = 1
p1stateno = 810
p2stateno = 820
guard.dist = 0
fall = 1


[State 800, 2]
type = ChangeState
Trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
;Kung Fu Throw - Throwing the opponent
; Description: In this state, KFM throws the opponent by binding him to
;     various offsets based on his current frame of animation. For
;     example, [State 810, Bind 1] binds the opponent to an offset of
;     28 pixels in front of KFM. That puts him around where KFM's hand
;     is at. Is is important to keep the opponent bound using a
;     TargetBind controller at all times, until you let him go. This
;     is especially important if your player has a Clsn2 box that
;     allows him to get hit while throwing someone. Each time a player
;     gets hit, all his bound targets will be set to a fall state. If
;     the opponent is not bound, then he may get stuck in his thrown
;     state when his attacker is knocked out of the throw halfway.
; Notes: There is a TargetLifeAdd controller to decrease the opponent's
;     life, and a TargetState controller to change his state to a
;     falling state when KFM lets go of him.
[Statedef 810]
type    = S
movetype= A
physics = N
anim = 810
poweradd = 60

[State 0, turning]
type = turn
trigger1 = !Time && command = "holdback"

[State 0, PosAdd]
type = PosAdd
trigger1 = Animelem = 4
trigger1= FrontEdgeDist < 40
x = -31
ignorehitpause = 1
persistent = 1

[State 0, PosAdd]
type = PosAdd
trigger1 = Animelem = 5
trigger1= FrontEdgeDist < 40
x = -52
ignorehitpause = 1
persistent = 1

[State 810, Grab Sound]
type = PlaySnd
trigger1 = AnimElem = 1
value = 1, 1

[State 810, Grab Sound]
type = PlaySnd
trigger1 = AnimElem = 2
value = 5, 7
channel = 0

[State 810, Throw Sound]
type = PlaySnd
trigger1 = AnimElem = 7
value = 800, 0

[State 810, Bind 1]
type = TargetBind
trigger1 = AnimElemTime(1) >= 0 && AnimElemTime(2) < 0
pos = -54, -70

[State 810, Bind 2-4]
type = TargetBind
trigger1 = AnimElemTime(2) >= 0 && AnimElemTime(3) < 0
pos = -48, -85

[State 810, Bind 5]
type = TargetBind
trigger1 = AnimElemTime(3) >= 0 && AnimElemTime(4) < 0
pos = -10, -85

[State 810, Bind 5]
type = TargetBind
trigger1 = AnimElemTime(4) >= 0 && AnimElemTime(5) < 0
pos = 60, 0

[State 810, Hurt 11]
type = TargetLifeAdd
trigger1 = AnimElem = 5
value = -111

[State 0, PlaySnd]
type = PlaySnd
trigger1 =  Animelem = 5
value = 1,2
volume = 0
channel = -1
freqmul = 1.0
loop = 0
pan = 0

[State 810, Throw 11]
type = TargetState
trigger1 = AnimElem = 5
value = 821

[State 810, State End]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
;Thrown by Kung Fu Throw
[Statedef 820]
type    = A
movetype= H
physics = N
velset = 0,0
facep2 = 1

[State 0, PlayerPush]
type = PlayerPush
trigger1 = 1
value = 1

[State 820, 1]
type = ChangeAnim2
Trigger1 = Time = 0
value = 820

[State 0, SprPriority]
type = SprPriority
trigger1 = Animelem = 3
value = 3

;In case attacker loses binding on player for any reason, this controller
;guarantees that the player will never get stuck in this thrown state.
[State 820, 2]
type = SelfState
trigger1 = !gethitvar(isbound)
value = 5050

;---------------------------------------------------------------------------
;Thrown by Kung Fu Throw - thrown into the air
; (a custom gethit state)
; Description: This state has the opponent flying through the air and
;     falling down onto the ground. The SelfState controller sets the
;     opponent back using to his own state file when he his the ground.
;     Controllers 821,2 and 821,3 allow the opponent to recover by
;     hitting his recovery command when he is falling.
[Statedef 821]
type    = A
movetype= H
physics = N
velset = 2,-8
poweradd = 40

[State 0, PlayerPush]
type = PlayerPush
trigger1 = 1
value = 1
;ignorehitpause =
;persistent =

[State 0, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA
time = 1


[State 5100, 8]
type = GameMakeAnim
trigger1 = Time = 0
value = 60 + (sysvar(1) > 5) + (sysvar(1) > 14)
pos = 0, 0
under = sysvar(1) <= 14

[State 5100, 10]
type = PlaySnd
trigger1 = Time = 0
value = F7, (sysvar(1) > 5) + (sysvar(1) > 14)

[State 821, 1] ;Gravity
type = VelAdd
Trigger1 = Time > 1
y = .5

;[State 821, 2] ; Recover near ground (use ChangeState)
;type = ChangeState
;triggerall = Vel Y > 0
;triggerall = Pos Y >= -20
;triggerall = alive
;triggerall = CanRecover
;trigger1 = Command = "recovery"
;value = 5200 ;HITFALL_RECOVER

;[State 821, 3] ; Recover in mid air (use SelfState)
;type = SelfState
;triggerall = Vel Y > 0
;triggerall = alive
;triggerall = CanRecover
;trigger1 = Command = "recovery"
;value = 5210 ;HITFALL_AIRRECOVER

[State 821, 4] ;Hit ground
type = SelfState
trigger1 = Vel Y > 0
trigger1 = Pos Y >= 0
value = 5100 ;Hit ground
;-----------------------------------------------------------------------------
[Statedef 4050]
type = A
movetype = I
anim = 1
sprpriority = -3

[State 0]
type = assertspecial
trigger1 = 1
flag = nobardisplay
flag2 = nofg

[State 0, explod]
type = explod
trigger1 = Time = 1
anim = 4050
supermovetime = 30
sprpriority = -5
removetime = 30
scale = 0.5,0.5
postype = right
pos = -160, 120
ownpal = 1
bindtime = 1000

[State 0, Explod]
type = Explod
trigger1 = 1
anim = 4051
ID = 4051
pos = 160,120
postype = left   ;p2,front,back,left,right
facing = 1
vfacing = 1
bindtime = 1
vel = 0,0
accel = 0,0
removetime = 30
supermovetime = 30
pausemovetime = 30
scale = 0.5,0.5
sprpriority = -2
ignorehitpause = 1
persistent = 0
ownpal = 1

[State 0, ModifyExplod]
type = ModifyExplod
trigger1 = 1
ID = 4051
pos = 160,120
postype = left   ;p2,front,back,left,right
facing = 1
vfacing = 1
bindtime = 1
vel = 0,0
accel = 0,0
random = 5,5
scale = (0.5+(0.004*time)),(0.5+(0.004*time))
ownpal = 1

[State 0, DestroySelf]
type = DestroySelf
trigger1 = time = 30
;----------------------------------------------------------------------------
[Statedef 4053]
type = A
movetype = I
anim = 1
sprpriority = -3

[State 0, PlaySnd]
type = PlaySnd
trigger1 = Time = 0
value = S3,1
volume = 0
channel = -1
freqmul = 1.0
loop = 0
pan = 0


[State 0]
type = assertspecial
trigger1 = 1
flag = nobardisplay
flag2 = nofg
flag3 = nobg

[State 0, explod]
type = explod
trigger1 = Time = 1
anim = 4053
ID = 4053
sprpriority = -5
scale = 0.5,0.5
postype = right
pos = -160, 120
ownpal = 1
bindtime = 45

[State 0, RemoveExplod]
type = RemoveExplod
trigger1 = time = 45
id = 4053

[State 0, DestroySelf]
type = DestroySelf
trigger1 = Time >= 1 && !NumExplod(4053)
ignorehitpause = 1
;----------------------------------------------------------------------------
[Statedef 9050]
type = S
movetype = I
physics = S
anim = 195
ctrl = 0
velset = 0,0
sprpriority = 2

[State 9000: SuperPause]
type = SuperPause
trigger1 = Time = 0
time = 30
pos = 0, -57
movetime = 30
anim = S4054
sound = S3,2
poweradd = -1000

[State 9000: AfterImage]
type = AfterImage
trigger1 = 1
time = 2
length = 30
palbright =  0, 0, 0
palcontrast = 100,100,190
paladd = 0,0,30
palmul = .45,.45,.75
timegap = 1
framegap = 4
trans = add

[State 9000: VarSet]
type = VarSet
trigger1 = (!Time)
v = 56
value = 300

[State 9000: ChangeState]
type = ChangeState
trigger1 = (AnimTime = 0)
value = 0
ctrl = 1
;-----------------------------------------------------------------------------
[Statedef 9051]
type    = S
physics = S
anim = 20
sprpriority = 1

[State 9001: VelSet]
type = VelSet
trigger1 = 1
x = 6

[State 9001: AssertSpecial]
type = AssertSpecial
trigger1 = 1
flag = NoWalk
flag2 = NoAutoTurn
flag3 = NoStandGuard

[State 9001: AssertSpecial]
type = AssertSpecial
trigger1 = 1
flag = NoAirGuard
flag2 = NoCrouchGuard

[State 9001: ChangeState]
type = ChangeState
trigger1 = Var(56) = 0
value = 0
ctrl = 1
;----------------------------------------------------------------------------
[Statedef 900]
type = L
movetype = I
physics = N
anim = 706
velset = 0,0
ctrl = 0
poweradd = 0
juggle = 0
facep2 = 1
hitdefpersist = 0
movehitpersist = 0
hitcountpersist = 0
sprpriority = 0

[State hahaha]
type = posset
trigger1 = pos y >= 0
y = 0

[State ****: NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA

[State Farts]
type = SprPriority
trigger1 = (Vel X != 0)
trigger1 = Time > 1
value = -2

[State 0, VelSet]
type = VelSet
trigger1 = !time
x = -4

[State ****: AfterImage]
type = AfterImage
trigger1 = (Vel X != 0) && time >=5
time = 20
timegap = 2
framegap = 4
length = 15
paladd = 0, 0, 0
palmul = .50, .50, .50
palcontrast = 100,100,100
trans = add
persistent = 0

[State 0, VelSet]
type = VelSet
trigger1 = animelem = 6
x = 0

[State ****: PlayerPush]
type = PlayerPush
trigger1 = (Vel X != 0)
value = 0

[State 0, CtrlSet]
type = CtrlSet
trigger1 = Animelem = 6
value = 1
ignorehitpause = 1
persistent =0

[State ****: ChangeState]
type = ChangeState
trigger1 = Animtime = 0;((Time > 25) && (Command != "holdfwd")) || ((Time > 35) && (Command = "holdfwd"))
value = 0

